<?php

//Clase de Paises
class clase3
{
  	var $nom_tabla = 'dxbascpt';
  	var $n_reg;
	var $codigo;
	var $dia_cred;
	var $lim_cred;
	var $sal_deu;
	var $ult_fac;
	var $fec_ult_fac;
	var $ult_pag;
	var $fec_ult_pag;
	var $cliente;
	var $fec_alsis;
	var $oper;
	var $cve_banco;
	var $no_sucb;
	var $cta_che;
	var $cve_unica;
	var $dia_credp;
	var $lim_credp;
	var $sal_acr;
	var $ult_facd;
	var $fec_ult_facd;
	var $ult_pagd;
	var $fec_ult_pagd;
	
	var $tot_sal;
	//Funcion de Revisar
 	function revisar3(){
		$sql = "select * from $this->nom_tabla where codigo = '$this->codigo'";
		$result = mysqli_query($con ,$sql);
		$num_salidas=mysqli_num_rows($result); 
		if($num_salidas==0){
			@$ope = mysqli_query($con ,"insert into $this->nom_tabla (codigo, acc_fec, acc_hor, usuario) values ('$this->codigo', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
	//Funcion de Agregar
	function agregar3(){
		$bus1 = mysqli_query($con ,"select * from $this->nom_tabla where codigo = '$this->codigo'");
		$rese = mysqli_fetch_array($bus1); 
		if($this->tip_mov == "C"){
			$tt = $rese['sal_deu'] - $this->tot_sal;
			$sqb=mysqli_query($con ,"update $this->nom_tabla set sal_deu = '$tt' where codigo = '$this->codigo'");
		}elseif($this->tip_mov == "P"){
			$tt = $rese['sal_acr'] - $this->tot_sal;
			$sqb=mysqli_query($con ,"update $this->nom_tabla set sal_acr = '$tt' where codigo = '$this->codigo'");
		}
		if ($sqb){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
	
//Funcion de Lista Completa
	function lista_completa3(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda3($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($n_reg){
		$sql = "UPDATE $this->nom_tabla SET cve_cencos = '$this->cve_cencos', des_cencos = '$this->des_cencos', cta_con = '$this->cta_con', afe_cen = '$this->afe_cen' WHERE n_reg='$n_reg'"; 
		$result= mysqli_query($con ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar3($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($con ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}           
	}   
}       
?>